Subject: Re: [manet] #15: Reactive Design Approach

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 20 Feb 2013 09:45:42 -0800

Hello Abussalam,

I also agree that the hybrid approach may offer many benefits. When we're
done with the reactive approach, I hope we can get into developing a hybrid
solution.  As I understand it, this was among the initial motivations for
RFC 5444 -- enabling a common message "platform" for ad hoc network
nodes to interpret both reactive and proactive signaling.

It seems to me that you are not specifically requesting any changes to
the AODVv2 document for this purpose.  If you do have changes in mind,
please let me know which sections and if possible some suggested text
for the changes.

Regards,
Charlie P.

On 1/19/2013 4:11 PM, manet issue tracker wrote:
> #15: Reactive Design Approach
>
>   There is a problem that reactive work better in some application
>   scenarios and proactive work better in other application scenarios,
>   but both are important for MANETs in general. However, there are some
>   application scenarios where the hybrid routing is the best choice for
>   the MANET. Another problem is that generated routing information are
>   different in reactive and proactive, so it will be reasonable that
>   there may be different best formatting, which needs an answer/discuss.
>
>    The design approach to start with the messaging format before the
>   completion of designing both proactive and reactive separate standards
>   can't be the right approach for designing general purpose protocols. That
>   may be a good approach for manet hybrid routing that includes both
>   reactive and proactive routing functions. However, there is no prove that
>   similar message formatting will give better performance for two separate
>   protocols for different scenarios.
>
>    I suggest the WG reactive protocol modified without thinking of a hybrid
>   or proactive routing, but just the reactive. Also I suggest we don't think
>   about gateway issues as leave it in separate draft.
>

-- 
Regards,
Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 20 Feb 2013 19:46:48 +0100

> please let me know which sections and if possible some suggested text

I have no change request as long as I already agreed with last DYMO. I
think the track was about the WG approach to the new WG reactive
document not about last dymo-draft content, as the approach of
transfering DYMO contents/ideas to the new protocol. So we can say
this design approach helps us know how to start make AODVv2-00. Please
note that the new reactive protocol is not yet published, and some
think that we may take similar as proactive approach or compatible
with another reactive protocol,

AB